Bug 223477 - devel/py-parsedatetime -> 2.4 breaks security/py-certbot 0.19
Summary: devel/py-parsedatetime -> 2.4 breaks security/py-certbot 0.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-06 17:32 UTC by jharris
Modified: 2017-11-10 15:50 UTC (History)
3 users (show)

See Also:


Attachments
remove unused future from install_requires (563 bytes, patch)
2017-11-06 17:52 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2017-11-06 17:32:40 UTC
%sudo certbot certonly --email <...> -d <...>
Traceback (most recent call last):
  File "/usr/local/bin/certbot", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3138, in <module>
    @_call_aside
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3122, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3151, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 664, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 981, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 867, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'future' distribution was not found and is required by parsedatetime
Comment 1 Li-Wen Hsu freebsd_committer 2017-11-06 17:38:33 UTC
Antoine, you worked on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=223467 , could you help about this one?
Comment 2 Antoine Brodin freebsd_committer 2017-11-06 17:52:32 UTC
Created attachment 187803 [details]
remove unused future from install_requires

Can you try attached patch?
Comment 3 commit-hook freebsd_committer 2017-11-06 19:47:38 UTC
A commit references this bug:

Author: antoine
Date: Mon Nov  6 19:46:59 UTC 2017
New revision: 453642
URL: https://svnweb.freebsd.org/changeset/ports/453642

Log:
  Remove unused future from install_requires

  PR:		223477
  Reported by:	Jason Harris

Changes:
  head/devel/py-parsedatetime/Makefile
Comment 4 Antoine Brodin freebsd_committer 2017-11-06 19:48:21 UTC
Problem should be fixed.
Comment 5 jharris 2017-11-09 17:27:16 UTC
Nope, still getting the same error(s) from py-certbot:

Traceback (most recent call last):
  File "/usr/local/bin/certbot", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3138, in <module>
    @_call_aside
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3122, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3151, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 664, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 981, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 867, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'future' distribution was not found and is required by parsedatetime
*** Error code 1

Using version 2.4_1 built with the updated Makefile:

  Revision: 453819
  Node Kind: file
  Schedule: normal
  Last Changed Author: antoine
  Last Changed Rev: 453642
  Last Changed Date: 2017-11-06 15:46:59 -0400 (Mon, 06 Nov 2017)
  Text Last Updated: 2017-11-09 10:52:59 -0400 (Thu, 09 Nov 2017)
  Checksum: 428eedcd0a5f4453fc972e19dadaeca32f58b397
Comment 6 Antoine Brodin freebsd_committer 2017-11-09 17:31:45 UTC
Do you have /usr/local/lib/python2.7/site-packages/parsedatetime-2.4-py2.7.egg-info/requires.txt ?  you shouldn't...
Comment 7 Antoine Brodin freebsd_committer 2017-11-09 22:30:08 UTC
I can't reproduce.

Make sure that you don't have any /usr/local/lib/python2.7/site-packages/parsedatetime-2.4-py2.7.egg-info/requires.txt
Comment 8 jharris 2017-11-10 15:50:09 UTC
The file was there, timestamped when the port was updated/installed:

%ls -ltc /usr/local/lib/python2.7/site-packages/parsedatetime-2.4-py2.7.egg-info/requires.txt
-rw-r--r--  1 root  wheel  7 Nov  9 12:33 /usr/local/lib/python2.7/site-packages/parsedatetime-2.4-py2.7.egg-info/requires.txt

%<sqlite3 on /var/db/pkg/local.sqlite to get port install times>
security/py-certbot                     2017-11-09T12:34:11
devel/py-parsedatetime                  2017-11-09T12:33:38


Manually removing the file fixed the py-certbot runtime error.

Thanks!